#ifndef MARS_MWriteFile
#define MARS_MWriteFile

#ifndef MARS_MTask
#include "MTask.h"
#endif

class MWriteFile : public MTask
{
private:
    Bool_t PreProcess(MParList *pList);
    Bool_t Process();
    Bool_t PostProcess();

    virtual Bool_t      IsFileOpen() const = 0;
    virtual void        CheckAndWrite() const = 0;
    virtual Bool_t      GetContainer(MParList *pList) = 0;
    virtual const char *GetFileName() const = 0;

    ClassDef(MWriteFile, 0)	// Base class for tasks to write single containers to several output formats
};

#endif
